VkPushConstantRange Struct Reference

`#include <vulkan.h>`

## Data Fields

VkShaderStageFlags | stageFlags
uint32_t | offset
uint32_t | size

## Detailed Description

Definition at line 2129 of file vulkan.h.

## Field Documentation

## offset

uint32_t VkPushConstantRange::offset

Definition at line 2131 of file vulkan.h.

## size

uint32_t VkPushConstantRange::size

Definition at line 2132 of file vulkan.h.

## stageFlags

VkShaderStageFlags VkPushConstantRange::stageFlags

Definition at line 2130 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h